#1/bin/sh

dir=`dirname $0`
. $dir/Printer.cfg
line1="---------------------------------------------------------------------"
uid=`id | sed -e s#"^uid=\([0-9]*\)(.*"#"\1"#`

echo $line1
if [ "$uid" -ne "0" ] ; then echo "You need to run this script as root. Exiting." ; echo $line1 ; exit ; fi
echo "Pay attention, the following printers will be deleted on your system first:" ; echo 
grepStr=`echo $printers | sed -e s#" "#"|"#g`
lpstat -v | egrep "$grepStr" | sed -e s#"^"#"    "#
echo
echo -n "Is that ok? (y/n): "
read answer

if [ "$answer" != "y" ] ; then echo "Exited, nothing done." ; exit ; fi

echo $line1
echo "Creating printers ...:" ; echo
port=$firstPort
for printer in $printers
do lpstat -v | grep $printer > /dev/null && lpadmin -x $printer
   lpadmin -p $printer \
   -v socket://localhost:$port \
   -P $ppdPath/$printer.ppd \
   -o PageSize=A4 -o Duplex=DuplexNoTumble \
   -L "" \
   -E 
   port=$(($port + 1))
done
lpstat -v | egrep "$grepStr" | sed -e s#"^"#"    "#
echo ; echo "Done."

echo $line1
