#!/bin/sh

user=$1
skriptName=`basename $0`
loginServer="sg1.dbai.tuwien.ac.at"

dir=`dirname $0`
. $dir/Printer.cfg

line1="---------------------------------------------------------------------"

echo $line1
if [ "$user" = "" ]
then echo "Syntax: $skriptName <login name of your DBAI/Forsyte account>" 
     echo $line1
     exit
     fi

forwarding=""
port=$firstPort
for printer in $printers
do forwarding="$forwarding -L $port:$printer.dbai.tuwien.ac.at:9100"
   port=$((port+1))
done

echo "ssh $user@$loginServer"
ssh -fN $forwarding $user@$loginServer
echo ; echo "Sending ssh tunnel to background and falling back to your local shell."
echo $line1

